#ifndef CAMERAEVENT_H
#define CAMERAEVENT_H

#include "IEvent.h"

using namespace Salamander;

class CameraEvent : public IEvent
{
public:


public:
	virtual ~CameraEvent();

	registerEvent(IEvent);
	CameraEvent(Vec2& translation);

	Vec2 getTranslation() const;
	
protected:

private:
	Vec2 translation_;
};

#endif // CAMERAEVENT_H